#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: OpenAL
version: 1.7.0.0
id: OpenAL-1.7.0.0-7c4454f46f264d0a95fa90f2be98beb8
key: OpenA_LlsVx9bIFTiLZ1YatJ2uyr
license: BSD3
copyright: Copyright (C) 2003-2015 Sven Panne
maintainer: Sven Panne <svenpanne@gmail.com>, Stephen Blackheath <haskell.openal2.stephen@blacksapphire.com>
homepage: https://github.com/haskell-openal/ALUT
synopsis: A binding to the OpenAL cross-platform 3D audio API
description:
    A Haskell binding for the OpenAL cross-platform 3D audio API,
    appropriate for use with gaming applications and many other
    types of audio applications.
    .
    On Windows, this package works well with the \"OpenAL Soft\" binary
    distribution from <http://kcat.strangesoft.net/openal.html>.
    Type \'\''cabal install --extra-lib-dirs=\<DIR\>\'\'' where \<DIR\> is the
    directory where libOpenAL32.dll.a is located (must be an absolute path).
    Then rename soft_oal.dll to OpenAL32.dll and put it somewhere in
    the PATH. I found that c:\\Windows\\ worked.
    .
    This package has also been tested on GNU/Linux and iOS.
category: Sound
author: Sven Panne
exposed: True
exposed-modules:
    Sound.OpenAL Sound.OpenAL.AL Sound.OpenAL.AL.Attenuation
    Sound.OpenAL.AL.BasicTypes Sound.OpenAL.AL.Buffer
    Sound.OpenAL.AL.Doppler Sound.OpenAL.AL.Errors
    Sound.OpenAL.AL.Extensions Sound.OpenAL.AL.Listener
    Sound.OpenAL.AL.Source Sound.OpenAL.AL.StringQueries
    Sound.OpenAL.ALC Sound.OpenAL.ALC.BasicTypes
    Sound.OpenAL.ALC.Capture Sound.OpenAL.ALC.Context
    Sound.OpenAL.ALC.Device Sound.OpenAL.ALC.Errors
    Sound.OpenAL.ALC.Extensions
hidden-modules: Sound.OpenAL.AL.ALboolean
                Sound.OpenAL.AL.BufferInternal Sound.OpenAL.AL.Format
                Sound.OpenAL.AL.PeekPoke Sound.OpenAL.AL.QueryUtils
                Sound.OpenAL.AL.SourceState Sound.OpenAL.AL.String
                Sound.OpenAL.ALC.ALCboolean Sound.OpenAL.ALC.QueryUtils
                Sound.OpenAL.ALC.String Sound.OpenAL.Config Sound.OpenAL.Constants
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/OpenAL-1.7.0.0
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/OpenAL-1.7.0.0
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/OpenAL-1.7.0.0
hs-libraries: HSOpenAL-1.7.0.0-LlsVx9bIFTiLZ1YatJ2uyr
extra-libraries:
    openal
include-dirs: /usr/local/include
depends:
    ObjectName-1.1.0.0-37fef604f1527855c430082957754b2f
    OpenGL-2.12.0.1-00c347e48c6da72d02a699f58617460a
    StateVar-1.1.0.1-e86391ac9b9dc8ba91e7bfd3628296f8
    base-4.8.1.0-9cc67f4e5e6328730727313d0bc5e35f
    transformers-0.4.2.0-1c92f7031c1e04e17d9abe73932eb485
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/OpenAL-1.7.0.0/html/OpenAL.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/OpenAL-1.7.0.0/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
